
void *get_pages(int count, char *purpose)
{
    static void *heap_top;
    void *ptr;
    
    if (!heap_top)
	heap_top = _vstop;
    ptr = heap_top;
    heap_top += count * PAGE_SIZE;
    printk(1, "%s: %d page(s) at %p (for %s)\n",
	   __FUNCTION__, count, ptr, purpose);
    memset(ptr, 0, count * PAGE_SIZE);
    return ptr;
}
